### Method

# Vips Region position

#### Declaration [src]

    int
    vips_region_position (
      VipsRegion* reg,
      int x,
      int y
    )

#### Description [src]

Set the position of a region. This only affects reg->valid, ie. the way pixels are addressed, not reg->data, the pixels which are addressed. Clip against the size of the image. Do not allow negative positions, or positions outside the image.

#### Parameters

`x`

  Type: `int`

  Position to move to.

`y`

  Type: `int`

  Position to move to.

#### Return value

Type: `int`

0 on success, or -1 for error.